import { object, string } from "valibot";
import { registryScript } from "../utils.mjs";
import { GoogleAnalyticsScriptResolver } from "../../registry";
const GoogleAnalyticsOptions = object({
  id: string()
});
export function useScriptGoogleAnalytics(_options) {
  return registryScript("googleAnalytics", (options) => ({
    scriptInput: {
      src: GoogleAnalyticsScriptResolver(options)
    },
    schema: GoogleAnalyticsOptions,
    scriptOptions: {
      use() {
        return { dataLayer: window.dataLayer, gtag: window.gtag };
      },
      // allow dataLayer to be accessed on the server
      stub: import.meta.client ? void 0 : ({ fn }) => {
        return fn === "dataLayer" ? [] : void 0;
      }
    },
    clientInit: import.meta.server ? void 0 : () => {
      window.dataLayer = window.dataLayer || [];
      window.gtag = function gtag(...p) {
        window.dataLayer.push(p);
      };
      window.gtag("js", /* @__PURE__ */ new Date());
      window.gtag("config", options?.id);
    }
  }), _options);
}
