import { object, string } from "valibot";
import { withQuery } from "ufo";
import { registryScript } from "../utils.mjs";
const GoogleTagManagerOptions = object({
  id: string()
});
export function useScriptGoogleTagManager(options) {
  return registryScript("googleTagManager", (options2) => ({
    scriptInput: {
      async: true,
      src: withQuery("https://www.googletagmanager.com/gtm.js", {
        id: options2?.id
      })
    },
    schema: GoogleTagManagerOptions,
    scriptOptions: {
      use() {
        return { dataLayer: window.dataLayer, google_tag_manager: window.google_tag_manager };
      },
      // allow dataLayer to be accessed on the server
      stub: import.meta.client ? void 0 : ({ fn }) => {
        return fn === "dataLayer" ? [] : void 0;
      }
    },
    clientInit: import.meta.server ? void 0 : () => {
      window.dataLayer = window.dataLayer || [];
      window.dataLayer.push({ "gtm.start": (/* @__PURE__ */ new Date()).getTime(), "event": "gtm.js" });
    }
  }), options);
}
