import { number, object, optional } from "valibot";
import { registryScript } from "../utils.mjs";
export const HotjarOptions = object({
  id: number(),
  sv: optional(number())
});
export function useScriptHotjar(_options) {
  return registryScript("hotjar", (options) => ({
    scriptInput: {
      src: `https://static.hotjar.com/c/hotjar-${options?.id}.js?sv=${options?.sv}`
    },
    schema: HotjarOptions,
    scriptOptions: {
      use() {
        return { hj: window.hj };
      }
    },
    clientInit: import.meta.server ? void 0 : () => {
      window._hjSettings = window._hjSettings || { hjid: options?.id, hjsv: options?.sv };
      window.hj = window.hj || function(...params) {
        (window.hj.q = window.hj.q || []).push(params);
      };
    }
  }), _options);
}
